diff --git a/utils/cec-compliance/cec-compliance.cpp b/utils/cec-compliance/cec-compliance.cpp
index 6d07bfc9..713e2a58 100644
--- a/utils/cec-compliance/cec-compliance.cpp
+++ b/utils/cec-compliance/cec-compliance.cpp
@@ -178,7 +178,7 @@ static struct option long_options[] = {
 	{0, 0, 0, 0}
 };
 
-static void usage(void)
+static void usage()
 {
 	printf("Usage:\n"
 	       "  -d, --device <dev>   Use device <dev> instead of /dev/cec0\n"
diff --git a/utils/cec-compliance/cec-test.cpp b/utils/cec-compliance/cec-test.cpp
index a82069ad..af9f3d38 100644
--- a/utils/cec-compliance/cec-test.cpp
+++ b/utils/cec-compliance/cec-test.cpp
@@ -1494,7 +1494,7 @@ static const unsigned num_tests = sizeof(tests) / sizeof(struct remote_test);
 static std::map<std::string, int> mapTests;
 static std::map<std::string, bool> mapTestsNoWarnings;
 
-void collectTests(void)
+void collectTests()
 {
 	std::map<std::string, __u64> mapTestFuncs;
 
@@ -1516,7 +1516,7 @@ void collectTests(void)
 	}
 }
 
-void listTests(void)
+void listTests()
 {
 	for (unsigned i = 0; i < num_tests; i++) {
 		printf("%s:\n", tests[i].name);
diff --git a/utils/cec-ctl/cec-ctl.cpp b/utils/cec-ctl/cec-ctl.cpp
index 46cfcd80..929928e2 100644
--- a/utils/cec-ctl/cec-ctl.cpp
+++ b/utils/cec-ctl/cec-ctl.cpp
@@ -229,7 +229,7 @@ static struct option long_options[] = {
 	{ 0, 0, 0, 0 }
 };
 
-static void usage(void)
+static void usage()
 {
 	printf("Usage:\n"
 	       "  -d, --device <dev>       Use device <dev> instead of /dev/cec0\n"
diff --git a/utils/cec-follower/cec-follower.cpp b/utils/cec-follower/cec-follower.cpp
index ab3113b6..36bd2fbb 100644
--- a/utils/cec-follower/cec-follower.cpp
+++ b/utils/cec-follower/cec-follower.cpp
@@ -71,7 +71,7 @@ static struct option long_options[] = {
 	{ 0, 0, 0, 0 }
 };
 
-static void usage(void)
+static void usage()
 {
 	printf("Usage:\n"
 	       "  -d, --device <dev>  Use device <dev> instead of /dev/cec0\n"
diff --git a/utils/rds-ctl/rds-ctl.cpp b/utils/rds-ctl/rds-ctl.cpp
index fef2a3f1..0511fe5d 100644
--- a/utils/rds-ctl/rds-ctl.cpp
+++ b/utils/rds-ctl/rds-ctl.cpp
@@ -108,12 +108,12 @@ static struct option long_options[] = {
 	{0, 0, 0, 0}
 };
 
-static void usage_hint(void)
+static void usage_hint()
 {
 	fprintf(stderr, "Try 'rds-ctl --help' for more information.\n");
 }
 
-static void usage_common(void)
+static void usage_common()
 {
 	printf("\nGeneral/Common options:\n"
 	       "  --all              display all device information available\n"
@@ -127,7 +127,7 @@ static void usage_common(void)
 	       );
 }
 
-static void usage_tuner(void)
+static void usage_tuner()
 {
 	printf("\nTuner/Modulator options:\n"
 	       "  -F, --get-freq     query the frequency [VIDIOC_G_FREQUENCY]\n"
@@ -145,7 +145,7 @@ static void usage_tuner(void)
 	       );
 }
 
-static void usage_rds(void)
+static void usage_rds()
 {
 	printf("\nRDS options: \n"
 	       "  -b, --rbds         parse the RDS data according to the RBDS standard\n"
@@ -164,7 +164,7 @@ static void usage_rds(void)
 	       );
 }
 
-static void usage(void)
+static void usage()
 {
 	printf("Usage:\n");
 	usage_common();
@@ -326,7 +326,7 @@ static void print_devices(dev_vec files)
 		printf("%s\n", iter->second.c_str());
 	}
 }
-static dev_vec list_devices(void)
+static dev_vec list_devices()
 {
 	DIR *dp;
 	struct dirent *ep;
diff --git a/utils/v4l2-compliance/v4l2-compliance.cpp b/utils/v4l2-compliance/v4l2-compliance.cpp
index 39dd1aec..3211b492 100644
--- a/utils/v4l2-compliance/v4l2-compliance.cpp
+++ b/utils/v4l2-compliance/v4l2-compliance.cpp
@@ -155,7 +155,7 @@ static struct option long_options[] = {
 	{0, 0, 0, 0}
 };
 
-static void usage(void)
+static void usage()
 {
 	printf("Usage:\n");
 	printf("Common options:\n");
diff --git a/utils/v4l2-ctl/v4l2-ctl-common.cpp b/utils/v4l2-ctl/v4l2-ctl-common.cpp
index 5dde39b9..3ca02087 100644
--- a/utils/v4l2-ctl/v4l2-ctl-common.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl-common.cpp
@@ -55,7 +55,7 @@ static enum v4l2_priority prio = V4L2_PRIORITY_UNSET;
 
 static bool have_query_ext_ctrl;
 
-void common_usage(void)
+void common_usage()
 {
 	printf("\nGeneral/Common options:\n"
 	       "  --all              display all information available\n"
diff --git a/utils/v4l2-ctl/v4l2-ctl-edid.cpp b/utils/v4l2-ctl/v4l2-ctl-edid.cpp
index 366e6522..9c7c6bc4 100644
--- a/utils/v4l2-ctl/v4l2-ctl-edid.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl-edid.cpp
@@ -122,7 +122,7 @@ static __u8 toggle_hdr_md_flags;
 #define HDR_MD_SMPTE_2084	(1 << 2)
 #define HDR_MD_HLG		(1 << 3)
 
-void edid_usage(void)
+void edid_usage()
 {
 	printf("\nEDID options:\n"
 	       "  --set-edid pad=<pad>[,type=<type>|file=<file>][,format=<fmt>][modifiers]\n"
diff --git a/utils/v4l2-ctl/v4l2-ctl-io.cpp b/utils/v4l2-ctl/v4l2-ctl-io.cpp
index 1130fdc0..9e83c03a 100644
--- a/utils/v4l2-ctl/v4l2-ctl-io.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl-io.cpp
@@ -21,7 +21,7 @@ static struct v4l2_audioout vaudout;   	/* audio outputs */
 static int input;			/* set_input/get_input */
 static int output;			/* set_output/get_output */
 
-void io_usage(void)
+void io_usage()
 {
 	printf("\nInput/Output options:\n"
 	       "  -I, --get-input    query the video input [VIDIOC_G_INPUT]\n"
diff --git a/utils/v4l2-ctl/v4l2-ctl-meta.cpp b/utils/v4l2-ctl/v4l2-ctl-meta.cpp
index 0e1071b0..76d4b1dd 100644
--- a/utils/v4l2-ctl/v4l2-ctl-meta.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl-meta.cpp
@@ -18,7 +18,7 @@
 
 static struct v4l2_format vfmt;	/* set_format/get_format */
 
-void meta_usage(void)
+void meta_usage()
 {
 	printf("\nMetadata Formats options:\n"
 	       "  --list-formats-meta display supported metadata capture formats [VIDIOC_ENUM_FMT]\n"
diff --git a/utils/v4l2-ctl/v4l2-ctl-misc.cpp b/utils/v4l2-ctl/v4l2-ctl-misc.cpp
index 23a0fd38..cb933217 100644
--- a/utils/v4l2-ctl/v4l2-ctl-misc.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl-misc.cpp
@@ -23,7 +23,7 @@ static struct v4l2_streamparm parm;	/* get/set parm */
 static double fps = 0;			/* set framerate speed, in fps */
 static double output_fps = 0;		/* set framerate speed, in fps */
 
-void misc_usage(void)
+void misc_usage()
 {
 	printf("\nMiscellaneous options:\n"
 	       "  --wait-for-event <event>\n"
diff --git a/utils/v4l2-ctl/v4l2-ctl-overlay.cpp b/utils/v4l2-ctl/v4l2-ctl-overlay.cpp
index 4c9609d6..16344a15 100644
--- a/utils/v4l2-ctl/v4l2-ctl-overlay.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl-overlay.cpp
@@ -28,7 +28,7 @@ static const char *fb_device;
 static std::vector<struct v4l2_clip> clips;
 static std::vector<struct v4l2_rect> bitmap_rects;
 
-void overlay_usage(void)
+void overlay_usage()
 {
 	printf("\nVideo Overlay options:\n"
 	       "  --list-formats-overlay\n"
diff --git a/utils/v4l2-ctl/v4l2-ctl-sdr.cpp b/utils/v4l2-ctl/v4l2-ctl-sdr.cpp
index d13f5c76..0b7c4cdc 100644
--- a/utils/v4l2-ctl/v4l2-ctl-sdr.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl-sdr.cpp
@@ -18,7 +18,7 @@
 
 static struct v4l2_format vfmt;	/* set_format/get_format */
 
-void sdr_usage(void)
+void sdr_usage()
 {
 	printf("\nSDR Formats options:\n"
 	       "  --list-formats-sdr display supported SDR capture formats [VIDIOC_ENUM_FMT]\n"
diff --git a/utils/v4l2-ctl/v4l2-ctl-selection.cpp b/utils/v4l2-ctl/v4l2-ctl-selection.cpp
index c35d0536..ac5a1d7b 100644
--- a/utils/v4l2-ctl/v4l2-ctl-selection.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl-selection.cpp
@@ -44,7 +44,7 @@ static struct v4l2_rect vcrop_out_overlay; 	/* crop rect */
 static struct v4l2_selection vselection; 	/* capture selection */
 static struct v4l2_selection vselection_out;	/* output selection */
 
-void selection_usage(void)
+void selection_usage()
 {
 	printf("\nSelection/Cropping options:\n"
 	       "  --get-cropcap      query the crop capabilities [VIDIOC_CROPCAP]\n"
diff --git a/utils/v4l2-ctl/v4l2-ctl-stds.cpp b/utils/v4l2-ctl/v4l2-ctl-stds.cpp
index 7ba44ae3..62f57a44 100644
--- a/utils/v4l2-ctl/v4l2-ctl-stds.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl-stds.cpp
@@ -25,7 +25,7 @@ static unsigned set_dv_timing_opts;
 static __u32 list_dv_timings_pad;
 static __u32 dv_timings_cap_pad;
 
-void stds_usage(void)
+void stds_usage()
 {
 	printf("\nStandards/Timings options:\n"
 	       "  --list-standards   display supported video standards [VIDIOC_ENUMSTD]\n"
diff --git a/utils/v4l2-ctl/v4l2-ctl-streaming.cpp b/utils/v4l2-ctl/v4l2-ctl-streaming.cpp
index 833263b6..663d0254 100644
--- a/utils/v4l2-ctl/v4l2-ctl-streaming.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl-streaming.cpp
@@ -257,7 +257,7 @@ double fps_timestamps::fps()
 	return fps;
 };
 
-void streaming_usage(void)
+void streaming_usage()
 {
 	printf("\nVideo Streaming options:\n"
 	       "  --stream-count <count>\n"
diff --git a/utils/v4l2-ctl/v4l2-ctl-subdev.cpp b/utils/v4l2-ctl/v4l2-ctl-subdev.cpp
index 17532d5e..747f1699 100644
--- a/utils/v4l2-ctl/v4l2-ctl-subdev.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl-subdev.cpp
@@ -49,7 +49,7 @@ static struct v4l2_subdev_frame_interval_enum frmival;
 static __u32 set_fps_pad;
 static double set_fps;
 
-void subdev_usage(void)
+void subdev_usage()
 {
 	printf("\nSub-Device options:\n"
 	       "  --list-subdev-mbus-codes <pad>\n"
diff --git a/utils/v4l2-ctl/v4l2-ctl-tuner.cpp b/utils/v4l2-ctl/v4l2-ctl-tuner.cpp
index 4c291eb3..bc397ec2 100644
--- a/utils/v4l2-ctl/v4l2-ctl-tuner.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl-tuner.cpp
@@ -26,7 +26,7 @@ static struct v4l2_hw_freq_seek freq_seek; /* freq-seek */
 static double low, high;		/* freq-seek frequency range */
 static int mode = V4L2_TUNER_MODE_STEREO;  /* set audio mode */
 
-void tuner_usage(void)
+void tuner_usage()
 {
 	printf("\nTuner/Modulator options:\n"
 	       "  -F, --get-freq     query the frequency [VIDIOC_G_FREQUENCY]\n"
diff --git a/utils/v4l2-ctl/v4l2-ctl-vbi.cpp b/utils/v4l2-ctl/v4l2-ctl-vbi.cpp
index 148c9e65..c5960f78 100644
--- a/utils/v4l2-ctl/v4l2-ctl-vbi.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl-vbi.cpp
@@ -21,7 +21,7 @@ static struct v4l2_format sliced_fmt_out; /* set_format/get_format for sliced VB
 static struct v4l2_format raw_fmt;	  /* set_format/get_format for VBI */
 static struct v4l2_format raw_fmt_out;	  /* set_format/get_format for VBI output */
 
-void vbi_usage(void)
+void vbi_usage()
 {
 	printf("\nVBI Formats options:\n"
 	       "  --get-sliced-vbi-cap\n"
diff --git a/utils/v4l2-ctl/v4l2-ctl-vidcap.cpp b/utils/v4l2-ctl/v4l2-ctl-vidcap.cpp
index a9ef8eed..49c20200 100644
--- a/utils/v4l2-ctl/v4l2-ctl-vidcap.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl-vidcap.cpp
@@ -23,7 +23,7 @@ static __u32 width, height, pixfmt, field, flags;
 static __u32 bytesperline[VIDEO_MAX_PLANES];
 static __u32 sizeimage[VIDEO_MAX_PLANES];
 
-void vidcap_usage(void)
+void vidcap_usage()
 {
 	printf("\nVideo Capture Formats options:\n"
 	       "  --list-formats     display supported video formats [VIDIOC_ENUM_FMT]\n"
diff --git a/utils/v4l2-ctl/v4l2-ctl-vidout.cpp b/utils/v4l2-ctl/v4l2-ctl-vidout.cpp
index 227d624f..955b2c50 100644
--- a/utils/v4l2-ctl/v4l2-ctl-vidout.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl-vidout.cpp
@@ -21,7 +21,7 @@ static __u32 width, height, pixfmt, field, colorspace, xfer_func, ycbcr, quantiz
 static __u32 bytesperline[VIDEO_MAX_PLANES];
 static __u32 sizeimage[VIDEO_MAX_PLANES];
 
-void vidout_usage(void)
+void vidout_usage()
 {
 	printf("\nVideo Output Formats options:\n"
 	       "  --list-formats-out display supported video output formats [VIDIOC_ENUM_FMT]\n"
diff --git a/utils/v4l2-ctl/v4l2-ctl.cpp b/utils/v4l2-ctl/v4l2-ctl.cpp
index c0097203..f6e90f51 100644
--- a/utils/v4l2-ctl/v4l2-ctl.cpp
+++ b/utils/v4l2-ctl/v4l2-ctl.cpp
@@ -287,7 +287,7 @@ static struct option long_options[] = {
 	{0, 0, 0, 0}
 };
 
-static void usage_all(void)
+static void usage_all()
 {
        common_usage();
        tuner_usage();
diff --git a/utils/v4l2-dbg/v4l2-dbg.cpp b/utils/v4l2-dbg/v4l2-dbg.cpp
index dcf8200a..cd387d1d 100644
--- a/utils/v4l2-dbg/v4l2-dbg.cpp
+++ b/utils/v4l2-dbg/v4l2-dbg.cpp
@@ -162,7 +162,7 @@ static struct option long_options[] = {
 	{0, 0, 0, 0}
 };
 
-static void usage(void)
+static void usage()
 {
 	printf("Usage: v4l2-dbg [options] [values]\n"
 	       "  -D, --info         Show driver info [VIDIOC_QUERYCAP]\n"